package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 节点类型
 * @Author zh
 * @Date 2024-03-19
 */
@Getter
public enum NodeTypeEnum {

    /**
     * 卫健委
     */
    HEALTH_COMMISSION("HEALTH_COMMISSION"),

    /**
     * 医保局
     */
    MEDICAL_INSURANCE_BUREAU("MEDICAL_INSURANCE_BUREAU"),

    /**
     * 医院
     */
    HOSPITAL("HOSPITAL"),

    /**
     * 院区
     */
    CAMPUS("CAMPUS"),

    /**
     * 药店
     */
    PHARMACY("PHARMACY"),

    /**
     * 科室
     */
    DEPARTMENT("DEPARTMENT"),

    /**
     * 病区
     */
    WARD("WARD"),

    /**
     * 中国
     */
    CHINA("CHINA"),

    /**
     * 省份：
     */
    PROVINCE("PROVINCE"),
    ;

    final private String info;

    NodeTypeEnum(String info) {
        this.info = info;
    }
}